> ## Documentation Index
> Fetch the complete documentation index at: https://agentstack.beeai.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Match



## OpenAPI

````yaml /development/api-reference/openapi.json post /api/v1/model_providers/match
openapi: 3.1.0
info:
  title: Agentstack server
  version: 0.6.3
servers: []
security: []
paths:
  /api/v1/model_providers/match:
    post:
      tags:
        - model_providers
      summary: Match
      operationId: match_api_v1_model_providers_match_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MatchModelsRequest'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedResult_ModelWithScore_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - HTTPBasic: []
        - HTTPBearer: []
components:
  schemas:
    MatchModelsRequest:
      properties:
        suggested_models:
          anyOf:
            - items:
                type: string
              type: array
            - type: 'null'
          title: Suggested Models
        capability:
          $ref: '#/components/schemas/ModelCapability'
        score_cutoff:
          type: number
          title: Score Cutoff
          default: 0.4
      type: object
      required:
        - capability
      title: MatchModelsRequest
    PaginatedResult_ModelWithScore_:
      properties:
        items:
          items:
            $ref: '#/components/schemas/ModelWithScore'
          type: array
          title: Items
        total_count:
          type: integer
          title: Total Count
        has_more:
          type: boolean
          title: Has More
          default: false
        next_page_token:
          anyOf:
            - type: string
              format: uuid
            - type: 'null'
          title: Next Page Token
          readOnly: true
      type: object
      required:
        - items
        - total_count
        - next_page_token
      title: PaginatedResult[ModelWithScore]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ModelCapability:
      type: string
      enum:
        - llm
        - embedding
      title: ModelCapability
    ModelWithScore:
      properties:
        model_id:
          type: string
          title: Model Id
        score:
          type: number
          title: Score
      type: object
      required:
        - model_id
        - score
      title: ModelWithScore
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    HTTPBasic:
      type: http
      scheme: basic
    HTTPBearer:
      type: http
      scheme: bearer

````